VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::Parallel Interface Reference

The `Parallel` interface provides methods for configuring the virtual parallel ports of a virtual machine. More...

Inherited by vmware::vcenter::vm::hardware::ParallelStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.ParallelTypes.Summary > | List (string vm)
| Returns commonly used information about the virtual parallel ports belonging to the virtual machine.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.ParallelTypes.Summary > | List (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns commonly used information about the virtual parallel ports belonging to the virtual machine.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.ParallelTypes.Summary > > | ListAsync (string vm)
| Returns commonly used information about the virtual parallel ports belonging to the virtual machine.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.ParallelTypes.Summary > > | ListAsync (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns commonly used information about the virtual parallel ports belonging to the virtual machine.
vmware.vcenter.vm.hardware.ParallelTypes.Info | Get (string vm, string port)
| Returns information about a virtual parallel port.
vmware.vcenter.vm.hardware.ParallelTypes.Info | Get (string vm, string port, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about a virtual parallel port.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.hardware.ParallelTypes.Info > | GetAsync (string vm, string port)
| Returns information about a virtual parallel port.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.hardware.ParallelTypes.Info > | GetAsync (string vm, string port, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about a virtual parallel port.
string | Create (string vm, vmware.vcenter.vm.hardware.ParallelTypes.CreateSpec spec)
| Adds a virtual parallel port to the virtual machine.
string | Create (string vm, vmware.vcenter.vm.hardware.ParallelTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds a virtual parallel port to the virtual machine.
global::System.Threading.Tasks.Task < string > | CreateAsync (string vm, vmware.vcenter.vm.hardware.ParallelTypes.CreateSpec spec)
| Adds a virtual parallel port to the virtual machine.
global::System.Threading.Tasks.Task < string > | CreateAsync (string vm, vmware.vcenter.vm.hardware.ParallelTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds a virtual parallel port to the virtual machine.
void | Update (string vm, string port, vmware.vcenter.vm.hardware.ParallelTypes.UpdateSpec spec)
| Updates the configuration of a virtual parallel port.
void | Update (string vm, string port, vmware.vcenter.vm.hardware.ParallelTypes.UpdateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the configuration of a virtual parallel port.
global::System.Threading.Tasks.Task | UpdateAsync (string vm, string port, vmware.vcenter.vm.hardware.ParallelTypes.UpdateSpec spec)
| Updates the configuration of a virtual parallel port.
global::System.Threading.Tasks.Task | UpdateAsync (string vm, string port, vmware.vcenter.vm.hardware.ParallelTypes.UpdateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the configuration of a virtual parallel port.
void | Delete (string vm, string port)
| Removes a virtual parallel port from the virtual machine.
void | Delete (string vm, string port, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes a virtual parallel port from the virtual machine.
global::System.Threading.Tasks.Task | DeleteAsync (string vm, string port)
| Removes a virtual parallel port from the virtual machine.
global::System.Threading.Tasks.Task | DeleteAsync (string vm, string port, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes a virtual parallel port from the virtual machine.
void | Connect (string vm, string port)
| Connects a virtual parallel port of a powered-on virtual machine to its backing.
void | Connect (string vm, string port, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Connects a virtual parallel port of a powered-on virtual machine to its backing.
global::System.Threading.Tasks.Task | ConnectAsync (string vm, string port)
| Connects a virtual parallel port of a powered-on virtual machine to its backing.
global::System.Threading.Tasks.Task | ConnectAsync (string vm, string port, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Connects a virtual parallel port of a powered-on virtual machine to its backing.
void | Disconnect (string vm, string port)
| Disconnects a virtual parallel port of a powered-on virtual machine from its backing.
void | Disconnect (string vm, string port, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Disconnects a virtual parallel port of a powered-on virtual machine from its backing.
global::System.Threading.Tasks.Task | DisconnectAsync (string vm, string port)
| Disconnects a virtual parallel port of a powered-on virtual machine from its backing.
global::System.Threading.Tasks.Task | DisconnectAsync (string vm, string port, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Disconnects a virtual parallel port of a powered-on virtual machine from its backing.

## Detailed Description

The `Parallel` interface provides methods for configuring the virtual parallel ports of a virtual machine.

## Member Function Documentation

void vmware::vcenter::vm::hardware::Parallel::Connect | ( | string | vm,
|  | string | port
| ) |  |

Connects a virtual parallel port of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Parallel.Update method may be used to configure the virtual parallel port to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual parallel port is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

void vmware::vcenter::vm::hardware::Parallel::Connect | ( | string | vm,
|  | string | port,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Connects a virtual parallel port of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Parallel.Update method may be used to configure the virtual parallel port to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual parallel port is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::Parallel::ConnectAsync | ( | string | vm,
|  | string | port
| ) |  |

Connects a virtual parallel port of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Parallel.Update method may be used to configure the virtual parallel port to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual parallel port is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::Parallel::ConnectAsync | ( | string | vm,
|  | string | port,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Connects a virtual parallel port of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Parallel.Update method may be used to configure the virtual parallel port to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual parallel port is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

string vmware::vcenter::vm::hardware::Parallel::Create | ( | string | vm,
|  | vmware.vcenter.vm.hardware.ParallelTypes.CreateSpec | spec
| ) |  |

Adds a virtual parallel port to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the parallel port device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.UnableToAllocateResource | if the virtual machine already has the maximum number of supported parallel ports.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual parallel port.

Returns:
  Virtual parallel port identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

string vmware::vcenter::vm::hardware::Parallel::Create | ( | string | vm,
|  | vmware.vcenter.vm.hardware.ParallelTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Adds a virtual parallel port to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the parallel port device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.UnableToAllocateResource | if the virtual machine already has the maximum number of supported parallel ports.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual parallel port.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Virtual parallel port identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

global::System.Threading.Tasks.Task<string> vmware::vcenter::vm::hardware::Parallel::CreateAsync | ( | string | vm,
|  | vmware.vcenter.vm.hardware.ParallelTypes.CreateSpec | spec
| ) |  |

Adds a virtual parallel port to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the parallel port device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.UnableToAllocateResource | if the virtual machine already has the maximum number of supported parallel ports.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual parallel port.

Returns:
  Virtual parallel port identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

global::System.Threading.Tasks.Task<string> vmware::vcenter::vm::hardware::Parallel::CreateAsync | ( | string | vm,
|  | vmware.vcenter.vm.hardware.ParallelTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Adds a virtual parallel port to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the parallel port device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.UnableToAllocateResource | if the virtual machine already has the maximum number of supported parallel ports.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual parallel port.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Virtual parallel port identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

void vmware::vcenter::vm::hardware::Parallel::Delete | ( | string | vm,
|  | string | port
| ) |  |

Removes a virtual parallel port from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

void vmware::vcenter::vm::hardware::Parallel::Delete | ( | string | vm,
|  | string | port,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Removes a virtual parallel port from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::Parallel::DeleteAsync | ( | string | vm,
|  | string | port
| ) |  |

Removes a virtual parallel port from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::Parallel::DeleteAsync | ( | string | vm,
|  | string | port,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Removes a virtual parallel port from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

void vmware::vcenter::vm::hardware::Parallel::Disconnect | ( | string | vm,
|  | string | port
| ) |  |

Disconnects a virtual parallel port of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the parallel port is not connected to its backing.

For a powered-off virtual machine, the Parallel.Update method may be used to configure the virtual parallel port to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual parallel port is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

void vmware::vcenter::vm::hardware::Parallel::Disconnect | ( | string | vm,
|  | string | port,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Disconnects a virtual parallel port of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the parallel port is not connected to its backing.

For a powered-off virtual machine, the Parallel.Update method may be used to configure the virtual parallel port to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual parallel port is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::Parallel::DisconnectAsync | ( | string | vm,
|  | string | port
| ) |  |

Disconnects a virtual parallel port of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the parallel port is not connected to its backing.

For a powered-off virtual machine, the Parallel.Update method may be used to configure the virtual parallel port to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual parallel port is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::Parallel::DisconnectAsync | ( | string | vm,
|  | string | port,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Disconnects a virtual parallel port of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the parallel port is not connected to its backing.

For a powered-off virtual machine, the Parallel.Update method may be used to configure the virtual parallel port to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual parallel port is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

vmware.vcenter.vm.hardware.ParallelTypes.Info vmware::vcenter::vm::hardware::Parallel::Get | ( | string | vm,
|  | string | port,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns information about a virtual parallel port.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the specified virtual parallel port.

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

vmware.vcenter.vm.hardware.ParallelTypes.Info vmware::vcenter::vm::hardware::Parallel::Get | ( | string | vm,
|  | string | port
| ) |  |

Returns information about a virtual parallel port.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .

Returns:
  Information about the specified virtual parallel port.

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.hardware.ParallelTypes.Info> vmware::vcenter::vm::hardware::Parallel::GetAsync | ( | string | vm,
|  | string | port,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns information about a virtual parallel port.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the specified virtual parallel port.

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.hardware.ParallelTypes.Info> vmware::vcenter::vm::hardware::Parallel::GetAsync | ( | string | vm,
|  | string | port
| ) |  |

Returns information about a virtual parallel port.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .

Returns:
  Information about the specified virtual parallel port.

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.ParallelTypes.Summary> vmware::vcenter::vm::hardware::Parallel::List | ( | string | vm | ) |

Returns commonly used information about the virtual parallel ports belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  List of commonly used information about virtual parallel ports.

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.ParallelTypes.Summary> vmware::vcenter::vm::hardware::Parallel::List | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns commonly used information about the virtual parallel ports belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  List of commonly used information about virtual parallel ports.

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.ParallelTypes.Summary> > vmware::vcenter::vm::hardware::Parallel::ListAsync | ( | string | vm | ) |

Returns commonly used information about the virtual parallel ports belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  List of commonly used information about virtual parallel ports.

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.ParallelTypes.Summary> > vmware::vcenter::vm::hardware::Parallel::ListAsync | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns commonly used information about the virtual parallel ports belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  List of commonly used information about virtual parallel ports.

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

void vmware::vcenter::vm::hardware::Parallel::Update | ( | string | vm,
|  | string | port,
|  | vmware.vcenter.vm.hardware.ParallelTypes.UpdateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Updates the configuration of a virtual parallel port.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual parallel port.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .
  spec | Specification for updating the virtual parallel port.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

void vmware::vcenter::vm::hardware::Parallel::Update | ( | string | vm,
|  | string | port,
|  | vmware.vcenter.vm.hardware.ParallelTypes.UpdateSpec | spec
| ) |  |

Updates the configuration of a virtual parallel port.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual parallel port.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .
  spec | Specification for updating the virtual parallel port.

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::Parallel::UpdateAsync | ( | string | vm,
|  | string | port,
|  | vmware.vcenter.vm.hardware.ParallelTypes.UpdateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Updates the configuration of a virtual parallel port.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual parallel port.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .
  spec | Specification for updating the virtual parallel port.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::Parallel::UpdateAsync | ( | string | vm,
|  | string | port,
|  | vmware.vcenter.vm.hardware.ParallelTypes.UpdateSpec | spec
| ) |  |

Updates the configuration of a virtual parallel port.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual parallel port is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual parallel port.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  port | Virtual parallel port identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .
  spec | Specification for updating the virtual parallel port.

Implemented in vmware::vcenter::vm::hardware::ParallelStub.

The documentation for this interface was generated from the following file:

- Parallel.cs